#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2016 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source('common', '/var/packages/Chat/target/bin/sdk_plugin/common.py')

class UserDel(common.Runner):
	def __init__ (self):
		common.Runner.__init__(self)

	# @override
	def pre (self):
		if '0' != environ.get('RESULT'):
			return None

		items = int(environ.get('NITEMS'))

		userNames = []
		for i in range(1, items + 1):
			userNames.append(environ.get('USER_NAME_' + str(i)))

		if len(userNames) > 0:
			common.callChatHook('user_delete', {
				'usernames': userNames
			})

common.Main(UserDel())
