#!/bin/bash

synochat_log()
{
	/bin/logger -s -p err -t SYNO\.Chat\.Cron\.Script $1
}

if [ $1 == "vacuum_daily" ]; then
	synochat_log "run cron [VACUUM ANALYZE]"
	/usr/bin/psql synochat -c "VACUUM ANALYZE" >>/var/log/synochat.log 2>&1
	synochat_log "run cron [VACUUM ANALYZE] done"
elif [ $1 == "udc_rotate" ]; then
	synochat_log "run cron [udc_rotate]"
	/var/packages/Chat/target/tool/synochat_userdata -c;
	synochat_log "run cron [udc_rotate] done"
elif [ $1 == "guest_expire" ]; then
	synochat_log "run cron [guest_expire]"
	/var/packages/Chat/target/tool/synochat_crontask guest_purge_expire;
	synochat_log "run cron [guest_expire] done"
elif [ $1 == "safebrowsing_update" ]; then
	synochat_log "run cron [safebrowsing_update]"
	/var/packages/Chat/target/tool/synochat_crontask safebrowsing_update;
	synochat_log "run cron [safebrowsing_update] done"
elif [ $1 == "unread_post_clean" ]; then
	synochat_log "run cron [unread_post_clean]"
	/var/packages/Chat/target/tool/synochat_crontask unread_post_clean;
	synochat_log "run cron [unread_post_clean] done"
elif [ $1 == "unread_post_rotate" ]; then
	synochat_log "run cron [unread_post_rotate]"
	/var/packages/Chat/target/tool/synochat_crontask unread_post_rotate 90;
	synochat_log "run cron [unread_post_rotate] done"
elif [ $1 == "refresh_user_privilege" ]; then
	synochat_log "run cron [refresh_user_privilege]"
	/var/packages/Chat/target/tool/synochat_crontask refresh_user_privilege;
	synochat_log "run cron [refresh_user_privilege] done"
fi
