DROP VIEW view_webhook_incoming_channels;
DROP VIEW view_webhook_outgoing_channels;
ALTER TABLE users ALTER COLUMN avatar_version TYPE bigint;
CREATE VIEW view_webhook_outgoing_channels AS
	SELECT WO.*, C.type AS channel_type
	FROM webhook_outgoing AS WO
	LEFT JOIN channels AS C ON WO.channel_id = C.id;
CREATE VIEW view_webhook_incoming_channels AS
	SELECT WI.*, C.type AS channel_type
	FROM webhook_incoming AS WI
	LEFT JOIN channels AS C ON WI.channel_id = C.id;
