CREATE OR REPLACE FUNCTION channel_update() RETURNS trigger AS $$
BEGIN
	IF OLD.total_member_count != 0 AND NEW.total_member_count = 0 AND (NEW.type = 1 OR NEW.encrypted) THEN
		NEW.close_at = get_time_ms();
		NEW.name = NULL;
		NEW.members = NULL;
	END IF;
	RETURN NEW;
END;
$$ LANGUAGE plpgsql;
