CREATE TABLE acl_role_user (
	role_id               int             NOT NULL REFERENCES acl_roles(id) ON DELETE CASCADE ON UPDATE CASCADE,
	user_id               int             NOT NULL REFERENCES users_dsm(id) ON DELETE CASCADE ON UPDATE CASCADE,
	PRIMARY KEY(role_id, user_id)
);
CREATE INDEX acl_role_user_role_id_key ON acl_role_user(role_id);
CREATE INDEX acl_role_user_user_id_key ON acl_role_user(user_id);
DELETE FROM acl_permissions WHERE acl_id = 100 AND role_id = 2;
CREATE VIEW view_acl_user_permission AS
	SELECT acl_id, user_id
	FROM acl_permissions AS Permission
	JOIN acl_role_user AS RoleUser ON Permission.role_id = RoleUser.role_id
	GROUP BY acl_id, user_id;
INSERT INTO acl_roles (id, name) VALUES (4, 'guest_manager');
INSERT INTO acl_permissions (acl_id, role_id) VALUES (100, 4);
