CREATE OR REPLACE FUNCTION channel_member_count_dec() RETURNS trigger AS $$
BEGIN
	IF OLD.delete_at IS NULL THEN
		UPDATE channels SET total_member_count = total_member_count - 1 WHERE id = OLD.channel_id;
	END IF;
	RETURN OLD;
END;
$$ LANGUAGE plpgsql;