CREATE TABLE user_blocks (
	user_id             int      NOT NULL REFERENCES users_dsm(id) ON DELETE CASCADE ON UPDATE CASCADE,
	blocked_user_id     int      NOT NULL,
	PRIMARY KEY (user_id, blocked_user_id)
);
CREATE INDEX user_blocks_user_id_key ON user_blocks (user_id);
CREATE INDEX user_blocks_blocked_user_id_key ON user_blocks (blocked_user_id);
DROP INDEX IF EXISTS chatbots_nickname_key;
CREATE UNIQUE INDEX chatbots_nickname_key ON chatbots (nickname) WHERE delete_at IS NULL;
