CREATE TABLE users_guest (
	channel_id            int         NOT NULL REFERENCES channels(id) ON DELETE CASCADE ON UPDATE CASCADE,
	sharing_hash          text        NOT NULL UNIQUE
) INHERITS (human);
CREATE UNIQUE INDEX users_guest_id_key ON users_guest(id);
CREATE UNIQUE INDEX users_guest_username_key ON users_guest(username);
ALTER TABLE users_guest ADD PRIMARY KEY USING INDEX users_guest_id_key;
