#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2016 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source('common', '/var/packages/Chat/target/bin/sdk_plugin/common.py')

class GroupDel(common.Runner):
	def __init__ (self):
		common.Runner.__init__(self)
		self.privilegeChangedData = {}

	# @override
	def post (self):
		if environ.get('RESULT') != '0':
			return None

		self.privilegeChangedData = {
			'should_refresh': True
		}

		common.callChatHook('user_privilege_refresh', self.privilegeChangedData)

common.Main(GroupDel())
