/* Copyright (c) 2019 Synology Inc. All rights reserved. */

/*
 * Undo.js - A undo/redo framework for JavaScript
 *
 * http://jzaefferer.github.com/undo
 *
 * Copyright (c) 2011 Jörn Zaefferer
 *
 * MIT licensed.
 */
(function(){function t(t,o){var n,i;for(n in o)void 0!==(i=o[n])&&(t[n]=i);return t}var o=function(){},n=function(n,i){var s;return s=i&&i.hasOwnProperty("constructor")?i.constructor:function(){return n.apply(this,arguments)},o.prototype=n.prototype,s.prototype=new o,i&&t(s.prototype,i),s.prototype.constructor=s,s.__super__=n.prototype,s},i={version:"0.1.15"};i.Stack=function(){this.commands=[],this.stackPosition=-1,this.savePosition=-1},t(i.Stack.prototype,{execute:function(t){this._clearRedo(),t.execute(),this.commands.push(t),this.stackPosition++,this.changed()},undo:function(){this.commands[this.stackPosition].undo(),this.stackPosition--,this.changed()},canUndo:function(){return this.stackPosition>=0},redo:function(){this.stackPosition++,this.commands[this.stackPosition].redo(),this.changed()},canRedo:function(){return this.stackPosition<this.commands.length-1},save:function(){this.savePosition=this.stackPosition,this.changed()},dirty:function(){return this.stackPosition!=this.savePosition},_clearRedo:function(){this.commands=this.commands.slice(0,this.stackPosition+1)},changed:function(){}}),i.Command=function(t){this.name=t};var s=new Error("override me!");t(i.Command.prototype,{execute:function(){throw s},undo:function(){throw s},redo:function(){this.execute()}}),i.Command.extend=function(t){var o=n(this,t);return o.extend=i.Command.extend,o},"function"==typeof define&&define.amd?define(i):"undefined"!=typeof module&&module.exports?module.exports=i:this.Undo=i}).call(this);
